<template>
    <v-app>
        <v-content>
        <game></game>
        </v-content>
    </v-app>
</template>

<script>
import Game from './views/Game';

export default {
    mounted(){
        this.$store.commit('general/createLogicCards');
        /*this.$nextTick(() => {
            window.addEventListener('message', event => {
                if(event.origin!=='http://localhost:8080'){
                    return;
                }
                alert(`Получено ${event.data} из ${event.origin}`);
            });
        });*/
    },
    name: 'App',
    components: {
        Game,
    },
    data: () => ({
        //
    }),
    methods:{
        onResize(){
            console.log('поймал ресайз');
            const w = document.documentElement.clientWidth;
            const h = document.documentElement.clientHeight;
            const size = this.$store.dispatch('game/onResize',{w:w,h:h})
            .then(size=>{
                //console.log(".then(size = ", size);
                //this.$refs.game_cont.style.minWidth = `${size.w}px`;
                //this.$refs.game_cont.style.minHeight = `${size.h}px`;
                if("rot" in size){
                    this.rot = 90;
                    //this.$emit('rotate',this.rot);
                    /*this.$refs.game_cont.style.minWidth = `${size.h}px`;
                    this.$refs.game_cont.style.minHeight = `${size.w}px`;*/
                    //this.$refs.game_cont.style.width = `${size.h/2}px`;
                    //this.$refs.game_cont.style.height = `${size.w/2}px`;
                    this.$refs.game_cont.style.transform = `rotate(${this.rot}deg)`;
                }else{
                    if(this.rot===90){
                        this.rot = 0;
                        //this.$emit('rotate',this.rot);
                        this.$refs.game_cont.style.transform = `rotate(${this.rot}deg)`;
                    }
                }
            })
            .catch(error=>{
                //console.log("error = ", error);
            });
        },
        resize(){
            //console.log("w= ", window.innerWidth, "h= ", window.innerHeight);
            //window.screen.width;
            //window.screen.height;
        }
    }
};

</script>
<style scope>
    body{
        width: 100%;
        height: 100%;
        overflow: hidden;
    }
</style>
